curl --request GET \
--url https://api.noux.app/api/v1/esign/bundle/{id} \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://api.noux.app/api/v1/esign/bundle/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noux.app/api/v1/esign/bundle/{id}"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"bundleId": "<string>",
"status": "Draft",
"bundleName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"roomId": "<string>",
"roomName": "<string>",
"roomTemplate": true,
"owner": {
"id": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
},
"signers": [
{
"id": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"signedAt": "2023-11-07T05:31:56Z"
}
],
"completion": {
"completionId": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
},
"documents": [
{
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"signable": true,
"isCompletionDocument": true,
"source": {
"kind": "file",
"originalUrl": "<string>",
"mimeType": "<string>",
"fileSize": 123
}
}
]
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}Get e-sign bundle
Get metadata for an e-sign bundle including status, signers and documents. Returns URLs only (no file binaries). Returns 404 when the bundle is not found, belongs to another organization, or has visibility restrictions on the attachment group or any document (same opaque response in all cases). Documents are sorted by attachment order (ascending, same as in the Noux UI); signers by email (ascending). Authenticate using Bearer token with your Noux API key.
curl --request GET \
--url https://api.noux.app/api/v1/esign/bundle/{id} \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://api.noux.app/api/v1/esign/bundle/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noux.app/api/v1/esign/bundle/{id}"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"bundleId": "<string>",
"status": "Draft",
"bundleName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"roomId": "<string>",
"roomName": "<string>",
"roomTemplate": true,
"owner": {
"id": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
},
"signers": [
{
"id": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>",
"signedAt": "2023-11-07T05:31:56Z"
}
],
"completion": {
"completionId": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
},
"documents": [
{
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"signable": true,
"isCompletionDocument": true,
"source": {
"kind": "file",
"originalUrl": "<string>",
"mimeType": "<string>",
"fileSize": 123
}
}
]
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}Authorizations
Noux API key from your integration settings
Headers
Bearer token with Noux API key
Path Parameters
The e-sign bundle ID to retrieve
Response
E-sign bundle retrieved successfully
Draft, PendingSigners, AllSigned, Completed, Voided Whether the linked room is a template room. Null when no room is linked.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes